# $Revision: 1.18 $, $Date: 2011/02/14 07:49:20 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	GraphViz
%define		pnam	DBI
Summary:	GraphViz::DBI Perl module - graph database tables and relations
Summary(pl.UTF-8):	Moduł Perla GraphViz::DBI - tworzenie graf tabel i relacji dla bazy danych
Name:		perl-GraphViz-DBI
Version:	0.02
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9921cf28e6db58c0b4b9728bdf2866d7
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-GraphViz
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module constructs a graph for a database showing tables and
connecting them if they are related. While or after constructing the
object, pass an open database handle, then call `graph_tables' to
determine database metadata and construct a GraphViz graph from the
table and field information.

%description -l pl.UTF-8
Ten moduł konstruuje graf dla bazy danych pokazując tabele i łącząc
je jeśli są między nimi relacje. Wystarczy w czasie lub po tworzeniu
obiektu przekazać uchwyt otwartej bazy i wywołać graph_tables, aby
określić metadane bazy i skonstruować GraphVizowy graf z informacji o
tabelach i polach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/*.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/GraphViz/DBI.pm
%{_mandir}/man3/*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-GraphViz-DBI.spec,v $
Revision 1.18  2011/02/14 07:49:20  glen
- release 3

Revision 1.17  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.15  2004/11/03 22:30:24  paladine
- formatting

Revision 1.14  2004/06/05 18:10:39  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.13  2004/05/06 18:09:39  ankry
- fixed perl-devel BR

Revision 1.12  2004/04/21 08:40:39  ankry
- license fixes/unification

Revision 1.11  2004/04/20 23:07:58  ankry
- ported to new bconds

Revision 1.10  2004/04/14 16:45:10  ankry
- cosmetics

Revision 1.9  2003/08/18 08:08:49  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/06/10 15:15:00  qboosh
- up to 0.02 (from RA-branch), release 2

Revision 1.7  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 19:36:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:39:25  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:32:48  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/16 16:31:14  qboosh
- new
